<?php

/**
 * Allows to modify the $post_id before any custom field data is saved from the front end form (acf_form)
 *
 * @link http://www.advancedcustomfields.com/resources/filters/acf-pre_save_post/
 */
add_filter('acf/pre_save_post' , 'my_pre_save_post' );
function my_pre_save_post( $post_id ) {
    // check if this is to be a new post
    if( $post_id != 'new' ) {
        return $post_id;
    }
 	
 		$field = $_POST['fields'];
 		
 		$post_title = $field['field_53441cc439e2c'];
 		$post_content = $field['field_53441cf839e2d'];
		
 	
    // Create a new post
    $post = array(
        'post_status'  => 'draft' ,
        'post_title'  => $post_title,
        'post_content'  => $post_content,
        'post_type'  => 'page'
    );  
 
    // insert the post
    $post_id = wp_insert_post( $post );
    
		require_once( ABSPATH . 'wp-admin/includes/image.php' );
		require_once( ABSPATH . 'wp-admin/includes/file.php' );
		require_once( ABSPATH . 'wp-admin/includes/media.php' );
		
		
		// Let WordPress handle the upload.
		// Remember, 'my_image_upload' is the name of our file input in our form above.
		$attachment_id = media_handle_upload( 'my_image_upload', $post_id );
		
		if ( is_wp_error( $attachment_id ) ) {
			// There was an error uploading the image.
		} else {
			// The image was uploaded successfully!
		}
    

    // update $_POST['return']
    $_POST['return'] = add_query_arg( array('post_id' => $post_id), $_POST['return'] );    
 	
    // return the new ID
    return $post_id;
}


?>